<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author        WooThemes
 * @package       WooCommerce/Templates
 * @version       2.4.0
 */
if ( !defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

$theme_options_data = theme_options_data();
global $post, $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}
// Increase loop count
$column_product = 4;
if ( isset( $theme_options_data['thim_woo_related_product_column'] ) && $theme_options_data['thim_woo_related_product_column'] <> '' ) {
	$column_product = $theme_options_data['thim_woo_related_product_column'];
}
// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', $column_product );
}

// Ensure visibility
if ( !$product || !$product->is_visible() ) {
	return;
}
// Extra post classes
$classes   = array();
$classes[] = 'item-column-' . $column_product;
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] ) {
	$classes[] = 'first';
}
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] ) {
	$classes[] = 'last';
}
?>
<li <?php post_class( $classes ); ?>>
	<div class="content__product">
		<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>
		<div class="product_thumb">
			<?php
			/**
			 * woocommerce_before_shop_loop_item_title hook
			 *
			 * @hooked woocommerce_show_product_loop_sale_flash - 10
			 * @hooked woocommerce_template_loop_product_thumbnail - 10
			 */
			do_action( 'woocommerce_before_shop_loop_item_title' );
			?>

			<?php
			if ( isset( $theme_options_data['thim_woo_set_show_qv'] ) && $theme_options_data['thim_woo_set_show_qv'] == '1' ) {
				echo '<div class="quick-view" data-prod="' . esc_attr( get_the_ID() ) . '"><a href="javascript:;"><i class="fa fa-search"></i></a></div>';
			}
			?>
			<a href="<?php esc_url(the_permalink()); ?>" class="link-images-product"></a>
		</div>


		<div class="product__title">

			<?php woocommerce_template_loop_rating(); ?>

			<a href="<?php esc_url(the_permalink()); ?>" class="title"><?php the_title(); ?></a>
			<?php woocommerce_template_loop_price(); ?>
			<div class="add-to-cart-button">
				<?php

				/**
				 * woocommerce_after_shop_loop_item hook
				 *
				 * @hooked woocommerce_template_loop_add_to_cart - 10
				 */
				do_action( 'woocommerce_after_shop_loop_item' );

				?>
			</div>


		</div>
	</div>
</li>